<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_d50d529d5739d103bc48e65a4b513fe" . "3" => base64_decode("Q29tbWVudE" . "FkZGVkRXZl" . "bnRSZWNlaX" . "Zlcg=="), "_191a9c694701b5e9" . "8f9b02b73105f5cf" => base64_decode("Q29tbWVudERlbGV0ZWRFdmVudFJlY2Vpd" . "mVy"), "_d3c72043723006b659492f087ddf1fd" . "f" => base64_decode("bmV3" . "cw=="), "_e8d7d527b284cadd317dfbdb10" . "b34e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdm" . "VudFJlY2VpdmVy"), "_2e799a34cc60" . "c12ca876d27b5" . "73a11eb" => base64_decode("IG" . "Fk" . "ZG" . "Vk"), "com" . "men" . "t" => base64_decode("Y29tb" . "WVudA" . "=="), "_4e7af63a0a4c1e" . "afe5742f795b98e" . "323" => base64_decode("TmV3cyBj" . "b21tZW50" . "ICM="));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d50d529d5739d1" . "03bc48e65a4b513" . "fe3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_191a9c694701b5e98f9b02b7310" . "5f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e8d7d527b28" . "4cadd317dfbd" . "b10b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d3c72043723" . "006b659492f0" . "87ddf1fdf"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["commen" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4e7af63a0a4c1eafe574" . "2f795b98e323"] . $comment->id . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e799a34cc60c" . "12ca876d27b573" . "a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}